//*************************************************************
// システム名     電子入札物品コアシステム
// サブシステム名 電子入札・開札システム
//
// 落札判定機能
// @author NEC
// @version 1.0, 2002.09.29, 新規作成<BR>
// @version 4.0, 2004.03.22, V4-無効通知書発行対応<BR>
//*************************************************************

//-------------------------------------------------------------
// HTML読込み時の初期処理
//-------------------------------------------------------------
function onStart()
{
  // 読み込み時共通処理
  onLoad();

  // 予定価格表示処理
  showPlannedPriceAndJudge();

  if( document.formRegist.successfulBidAmount_0 )
  {
    // 落札数量表示処理
    showAmountValue();

    for( var i=0, cnt=Number(document.formRegist.dataCount.value) ; i < cnt ; i++ )
    {
      var target=document.formRegist["successfulBidAmount_"+i];
      target.onkeypress=kPressAmount;
      target.onkeyup=target.onChange=showAmountValue;
    }
  }
}//onStart


//-----------------------------------------------------------
/**
 * 数量入力フィールドでのキー押下時処理
 *
 */
//-----------------------------------------------------------
function kPressAmount(e) {

  var dx;             //キーコード

  /*
   * イベント(e)を引数にgetKEYCODE関数を呼出し、
   * どのキーが押下されたかを取得する。
   */
  dx = getKEYCODE(e);

  //入力された文字が数字0〜9
  if ((dx >= 48) && (dx <= 57)) {
    return true;
  }
  //入力された文字が"backSpace" (NNの場合のみのコード)
  else if (dx == 8) {
    return true;
  }
  
  //それ以外はfalseをリターンする
  return false;
}

//-------------------------------------------------------------
// 落札判定確認画面表示
//-------------------------------------------------------------
function moveNextScreen()
{
  // 落札フラグを設定する
  if( document.formRegist.successfulBidFlag )
  {
    var successfulBid="";

    if( document.formRegist.successfulBidFlag.length )
    {
      for( i=0 ; i<document.formRegist.successfulBidFlag.length ; i++ )
      {
        document.formRegist["successfulBidFlag_"+i].value=
          ( document.formRegist.successfulBidFlag[i].checked ) ? "1" : "0" ;
      }
    }
    else
    {
      document.formRegist.successfulBidFlag_0.value=
        document.formRegist.successfulBidFlag.checked ? "1" : "0";
    }
  }

  dispatch( document.formRegist, 'H5451HTS014' );
}//moveNextScreen

//-------------------------------------------------------------
// 内訳書ダウンロード処理
//-------------------------------------------------------------
function startDownload( argAttachFileSaveName )
{
  document.formAttachFileDownload.AttachedFileName.value=argAttachFileSaveName;
  dispatchWithoutDialog( document.formAttachFileDownload, "FWDOWN001" );
}//startDownload

//-------------------------------------------------------------
// 落札数量表示処理
//-------------------------------------------------------------
function showAmountValue()
{
  var amount=0;

  var tmpVal;
  for( var i=0, cnt=Number(document.formRegist.dataCount.value) ; i < cnt ; i++ )
  {
    tmpVal = document.formRegist["successfulBidAmount_"+i].value
    //数値以外の入力、マイナス値の入力、小数点の入力があった場合
    if (isNaN(tmpVal)
      || Number(tmpVal) < 0
      || tmpVal.indexOf('.') != -1) {
      //合計値を空に設定し計算終了
      amount = "";
      break;
    }
    //通常入力
    else {
      amount += Number(document.formRegist["successfulBidAmount_"+i].value);
    }
  }
  if( document.getElementById('totalAmount') )
  {
    document.getElementById('totalAmount').innerHTML=amount;
  }
}//totalAmountValue

//---------------------------------------------------
// 無効通知書作成画面（開札後）表示
// (「作成」ボタン押下時)
//---------------------------------------------------
function makeInvalidityNoticeAfter( companyNumber )
{
  document.formRegist.companyNumber.value=companyNumber;

  // 落札フラグを設定する
  if( document.formRegist.successfulBidFlag )
  {
    var successfulBid="";

    if( document.formRegist.successfulBidFlag.length )
    {
      for( i=0 ; i<document.formRegist.successfulBidFlag.length ; i++ )
      {
        document.formRegist["successfulBidFlag_"+i].value=
          ( document.formRegist.successfulBidFlag[i].checked ) ? "1" : "0" ;
      }
    }
    else
    {
      document.formRegist.successfulBidFlag_0.value=
        document.formRegist.successfulBidFlag.checked ? "1" : "0";
    }
  }

  dispatch( document.formRegist, 'H7301HAC011' );
}//makeInvalidityNoticeAfter


//---------------------------------------------------
// 無効通知書作成画面（開札後）表示
// (「表示」ボタン押下時)
//---------------------------------------------------
function showInvalidityNoticeAfter( companyNumber )
{
  document.formRegist.companyNumber.value=companyNumber;

  // 落札フラグを設定する
  if( document.formRegist.successfulBidFlag )
  {
    var successfulBid="";

    if( document.formRegist.successfulBidFlag.length )
    {
      for( i=0 ; i<document.formRegist.successfulBidFlag.length ; i++ )
      {
        document.formRegist["successfulBidFlag_"+i].value=
          ( document.formRegist.successfulBidFlag[i].checked ) ? "1" : "0" ;
      }
    }
    else
    {
      document.formRegist.successfulBidFlag_0.value=
        document.formRegist.successfulBidFlag.checked ? "1" : "0";
    }
  }

  dispatch( document.formRegist, 'H7303HAC013' );
}//showInvalidityNoticeAfter
